Bug 13614 - lilo's "Warning: %s is not on the first disk" is not handled
lilo's "Warning: %s is not on the first disk" is not handled
Status: CLOSED DUPLICATE of bug 14204
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
: 17358 18660 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2000-07-08 21:25 EDT by Jay Freeman
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-08 15:36:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jay Freeman 2000-07-08 21:25:11 EDT
When installing lilo on the boot record of a drive that isn't the boot 
drive, the installation gets the message (hdc1 used for example):

Warning: hdc1 is not on the first disk

printed over it (which it then prints partly over with the boot-disk 
creation dialog).  This should really be handled better, maybe grab the 
stderr from lilo and return it to the installer in a dialog box.  What 
would REALLY be nice is if the user could be warned of stuff like that 
before he ever got that far in the process, though.
Comment 1 Glen Foster 2000-07-18 16:08:17 EDT
This defect is considered MUST-FIX for Winston Beta-5
Comment 2 Glen Foster 2000-07-21 14:10:48 EDT
This defect has been re-classified as MUST-FIX for Winston Gold-release
Comment 3 Michael Fulbright 2000-08-11 11:48:50 EDT
The installer team has decided to handle this issue as a future feature.
Comment 4 Michael Fulbright 2000-09-26 12:10:50 EDT
Comment 5 Michael Fulbright 2000-09-26 12:56:31 EDT
Comment 6 Michael Fulbright 2000-09-29 13:04:50 EDT
*** Bug 17358 has been marked as a duplicate of this bug. ***
Comment 7 Michael Fulbright 2000-10-27 15:45:05 EDT
*** Bug 18660 has been marked as a duplicate of this bug. ***
Comment 8 Michael Fulbright 2000-12-21 17:22:50 EST
How did you get the MBR written to something other than the first drive?

I cannot reproduce this problem w/o more information.

Comment 9 Michael Fulbright 2001-01-19 16:36:14 EST
Closing due to inactivity.
Comment 10 Jay Freeman 2001-01-24 18:42:31 EST
OK, apparently I only _thought_ I replied to this bug.  Here goes:

I never said "master boot record", I said "boot record".  I was installing to 
hdc1 on a computer that had Windows 2000 on hda1.  It was complaining because, 
even though it was writing LILO to disk, it wasn't going to get executed as 
hdc1 wasn't active and hdc wasn't even the boot drive.  Hence a "warning" and 
not an "error", it is just saying "this isn't going to help much unless you 
rearrange your drives".

I would _much_ rather see a generic error handling system than trying to solve 
this particular problem.  I seriously thought you were joking asking me how 
to "reproduce the problem", and now I see this "closing due to inactivity" 
notice.  Just go into the code, find wherever it is you exec lilo, redirect its 
stderr to its stdout, change it to a popen, grab the output, and shove it in a 
window.  A general solution to "what happens when LILO generates an error" is 
the way to go here, that way when LILO gets some new error ability added you 
don't need to keep screwing with the installation program.
Comment 11 Michael Fulbright 2001-02-08 15:36:30 EST
Related to bug 14204.

*** This bug has been marked as a duplicate of 14204 ***

Note You need to log in before you can comment on or make changes to this bug.